import { WebpackPluginInstance, Compiler, Compilation } from 'webpack';
import { Manifest } from './manifest';
/**
 * Webpack plugin that generates a manifest file.
 *
 * @param endpoint Options for the plugin.
 */
export declare class WebpackLaravelMixManifest implements WebpackPluginInstance {
    /**
     * Laravel framework `mix` helper filename,
     * By default `mix-manifest.json`.
     */
    readonly endpoint: string;
    /**
     * Create the webpack plugin.
     * @param endpoint Laravel `mix` helper used filename.
     */
    constructor(
    /**
     * Laravel framework `mix` helper filename,
     * By default `mix-manifest.json`.
     */
    endpoint?: string);
    protected get compilationHookTap(): {
        name: string;
        stage: number;
    };
    /**
     * Webpack plugin entry.
     * @param compiler webpack compiler
     */
    apply(compiler: Compiler): void;
    protected hookTapFn(compilation: Compilation): void;
    /**
     * Create a manifest instance.
     */
    protected createManifest(): Manifest;
}
